## ros-rolling-ament-cpplint 0.11.4

=== debian/changelog ===
ros-rolling-ament-cpplint (0.11.4-1focal) focal; urgency=high

  * Update forthcoming version in changelogs
  * Reapply patches
    Reapply parts of 232428752251de61e84ef013bcd643e35eb9038d that are still relevant.
  * Update cpplint version
    Point to the fork https://github.com/cpplint/cpplint
    Contains updates for modern C++ standards (e.g. C++14 and C++17).
  * Contributors: Audrow Nash, Dirk Thomas, Jacob Perron

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ament-cpplint (0.11.3-1focal) focal; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * [ament_copyright] Fix file exclusion behavior (#327 <https://github.com/ament/ament_lint/issues/327>)
    * [ament_copyright] Fix file exclusion behavior
    This commit fixes the faulty file exclusion behavior reported in
    https://github.com/ament/ament_lint/issues/326.
    Specifically, the exclusion list is matched against traversed
    files in the crawler module.
    Changes inspired by https://github.com/ament/ament_lint/pull/299/.
    * Update excluded file path in copyright tests
    Since file names are not indiscriminately matched throughout the
    search tree anymore, the excluded files listed in the copyright
    tests need to be updated relative to the root of the package.
    * Add test cases to check exclusion behavior
    Specifically, these tests check for:
    - Incorrect exclusion of single filenames.
    - Correct exclusion of relatively/absolutely addressed filenames.
    - Correct exclusion of wildcarded paths.
    * Add unit tests for crawler module
    These unit tests make sure both search and exclusion behaviors are
    correctly demonstrated by the ament_copyright.crawler module.
  * Contributors: Abrar Rahman Protyasha, Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ament-cpplint (0.11.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-cpplint (0.11.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-cpplint (0.11.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-cpplint (0.10.6-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 May 2021 07:00:00 -0000

ros-rolling-ament-cpplint (0.10.5-1focal) focal; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-rolling-ament-cpplint (0.10.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-ament-cpplint (0.10.3-1focal) focal; urgency=high

  * 0.10.3
  * Fix file exclusion behavior in ament_cppcheck and ament_cpplint (#299 <https://github.com/ament/ament_lint/issues/299>)
    * fix exclude behavior in ament_cppcheck and ament_cpplint
    * fix flake8 errors
    * add missing realpath() conversion
  * Contributors: Audrow Nash, M. Mei

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 03 Mar 2021 08:00:00 -0000

ros-rolling-ament-cpplint (0.10.2-1focal) focal; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 12 Feb 2021 08:00:00 -0000

ros-rolling-ament-cpplint (0.10.1-1focal) focal; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ament-cpplint (0.10.0-1focal) focal; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Sep 2020 07:00:00 -0000

ros-rolling-ament-cpplint (0.9.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ament-cpplint (0.9.3-1focal) focal; urgency=high

  * Close source files after reading them (#249 <https://github.com/ament/ament_lint/issues/249>)
    Resolves the ResourceWarning messages coming to the console during
    testing with debug-enabled Python.
  * Contributors: Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-ament-cpplint (0.9.2-1focal) focal; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-ament-cpplint (0.9.1-1focal) focal; urgency=high

  * 0.9.0
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Contributors: Chris Lalancette, Dirk Thomas, Jose Luis Rivero

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 10 Apr 2020 07:00:00 -0000

ros-rolling-ament-cpplint (0.8.1-1focal) focal; urgency=high


